﻿$ErrorActionPreference = 'Stop'

$packageName = 'conan'
$url32       = 'https://github.com/conan-io/conan/releases/download/1.31.4/conan-win-32_1_31_4.exe'
$url64       = 'https://github.com/conan-io/conan/releases/download/1.31.4/conan-win-64_1_31_4.exe'
$checksum32  = '2672c48cbbcb50fb653fbf499093e1db27f9af6f69f47bea29ee00681e0140a3'
$checksum64  = 'f78854957bfc485a36d175824633538e66116ade0ec21c6fd8a65903ccbb0c9a'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url            = $url32
  url64Bit       = $url64
  checksum       = $checksum32
  checksum64     = $checksum64
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  silentArgs     = '/VERYSILENT'
  validExitCodes = @(0)
}
Install-ChocolateyPackage @packageArgs
